package univ.lille1;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

/**
 * Activity de la page liste
 * 
 * @author pahouayang
 *
 */
public class ExtBDDTestPage extends Activity {
	public Button testPage_button;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.extbddtestpage);

		final Activity activity = this;

		testPage_button = (Button) findViewById(R.id.testPage_button);
		testPage_button.setOnClickListener(new OnClickListener() {
			public void onClick(View arg0) {
				// block le bouton lors du chargement de la liste
				testPage_button.setClickable(false);
				// appel de la fonction qui affichera la liste
				new GetUsers(activity).execute();
			}
		});
	}

}
